# SourcePath: binutils-gplv3-2.23/20130228
Summary: The GNU assembler, linker and binary utilities.
Name: sony-cross-binutils-gplv3
%define pkgname %{sony_tool_triplet}-cross-binutils-gplv3
Version: 2.23
Release: 11000001
License: GPLv3
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/binutils
Source0: binutils-%{version}.tar.gz

# patch to change default hash style to gnu hash
Patch001: binutils-2.19.51.0.3-default-to-gnu-hash.patch

Patch101: binutils-uclibc-300-012_check_ldrunpath_length.patch
Patch102: binutils-2.19.1-ld-sysroot.patch
Patch103: binutils-poison.patch

BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_dir}

BuildArch: %{sony_host_arch}

%description
The programs in this package are used to assemble, link and manipulate
binary and object files.  They may be used in conjunction with a compiler
and various libraries to build programs for Linux.

%package -n %{pkgname}
Summary: The GNU assembler, linker and binary utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The programs in this package are used to assemble, link and manipulate
binary and object files.  They may be used in conjunction with a compiler
and various libraries to build programs for Linux.

%prep
%setup -q -n binutils-%{version}

%patch001 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1

%build
%sony_cross_dev_setup

( cd gas && autoconf ) &&
( cd bfd && autoconf ) &&
%sony_cross_dev_configure \
	--prefix=%{sony_cross_dev_dir} \
	--program-transform-name='s,^,%{sony_target_toolprefix},' \
	--with-sysroot=/usr/local/%{sony_tool_triplet}/target/ &&
make configure-host &&
make

%install
%sony_cross_dev_setup

rm -rf %{buildroot}

cd %{sony_objdir} &&
make DESTDIR=%{buildroot} install

# dev wrappers support
for f in addr2line ar as c++filt gprof nm objcopy \
		objdump ranlib readelf elfedit size strings strip ld
do
	ln -s %{sony_tool_triplet}-$f \
		%{buildroot}%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}-dev-$f
done

# Create symbolic links for target-config
mkdir -p %{buildroot}%{sony_cross_dir}/%{sony_target_config}/bin
for f in ar as nm ranlib strip
do
	rm -f %{buildroot}%{sony_cross_dev_dir}/%{sony_target_config}/bin/$f
	ln -s ../../bin/%{sony_target_toolprefix}$f \
		%{buildroot}%{sony_cross_dev_dir}/%{sony_target_config}/bin/$f
done

# Dialect Support
%if "%{sony_target_dialects}" != "%%%{sony_target_dialects}"
for f in addr2line ar as c++filt gprof nm objcopy \
		objdump ranlib readelf elfedit size strings strip ld
do
%sony_cross_dialects_install
%sony_cross_dev_dialects_install
done
%endif

%if %{sony_host_arch} == "x86_64"
mkdir -p %{buildroot}%{sony_cross_dev_lib64_dir}
mv %{buildroot}%{sony_cross_dev_lib_dir}/* %{buildroot}%{sony_cross_dev_lib64_dir}
%endif
# Remove info/dir created by install-info.
rm -f %{buildroot}%{sony_cross_dev_info_dir}/dir

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-addr2line
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-ar
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-as
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-c++filt
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-gprof
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-ld
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-ld.bfd
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-nm
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-objcopy
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-objdump
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-ranlib
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-readelf
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-elfedit
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-size
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-strings
%{sony_cross_dev_bin_dir}/%{sony_tool_triplet}*-strip
%{sony_cross_dev_dir}/%{sony_target_config}/bin/ar
%{sony_cross_dev_dir}/%{sony_target_config}/bin/as
%{sony_cross_dev_dir}/%{sony_target_config}/bin/ld
%{sony_cross_dev_dir}/%{sony_target_config}/bin/ld.bfd
%{sony_cross_dev_dir}/%{sony_target_config}/bin/nm
%{sony_cross_dev_dir}/%{sony_target_config}/bin/objcopy
%{sony_cross_dev_dir}/%{sony_target_config}/bin/objdump
%{sony_cross_dev_dir}/%{sony_target_config}/bin/ranlib
%{sony_cross_dev_dir}/%{sony_target_config}/bin/strip
%{sony_cross_dev_dir}/%{sony_target_config}/lib
%if %{sony_host_arch} == "x86_64"
%{sony_cross_dev_lib64_dir}/libiberty.a
%else
%{sony_cross_dev_lib_dir}/libiberty.a
%endif
%{sony_cross_dir}/share/man
%{sony_cross_dir}/share/info

%changelog
* Thu Feb 28 2013 Sony Corporation
- Updated version to 2.23.

* Thu Mar 08 2012 Sony Corporation
- Added dev and dialect-dev binary support

* Mon Oct 03 2011 Sony Corporation
- Patch to add support for adding vfp/neon register set to arm corefiles.

* Tue May 31 2011 Sony Corporation
- Binutils objdump segmentation fault fix patch.

* Fri Mar 11 2011 Sony Corporation
- Binutils-2.20 information table patch merging.

* Mon Dec 27 2010 Sony Corporation
- objdump -f and -x bugfix patch is added.

* Fri Nov 19 2010 Sony Corporation
- dialects file install support is added.

* Wed Aug 25 2010 Sony Corporation
- Initial build.

